---
sidebar_label: CustomQueryHandler
---

# CustomQueryHandler interface

**Signature:**

```typescript
export interface CustomQueryHandler
```

## Properties

| Property                                                | Modifiers | Type                                              | Description       |
| ------------------------------------------------------- | --------- | ------------------------------------------------- | ----------------- |
| [queryAll?](./puppeteer.customqueryhandler.queryall.md) |           | (node: Node, selector: string) =&gt; Node\[\]     | <i>(Optional)</i> |
| [queryOne?](./puppeteer.customqueryhandler.queryone.md) |           | (node: Node, selector: string) =&gt; Node \| null | <i>(Optional)</i> |
